Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerSettingsChangedEvent Struct Reference

A server entry was changed. More...

Inheritance diagram for servermon::ServerMonitor::ServerSettingsChangedEvent:

## Public Attributes

int | id
| id of the server entry
ServerSettings | oldSettings
| Settings before change.
ServerSettings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

A server entry was changed.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl